Skip to content
This repository
branch: gherkin
Fetching contributors…

Cannot retrieve contributors at this time

file 61 lines (48 sloc) 2.019 kb
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61
# encoding: utf-8
require 'rubygems'
require 'term/ansicolor'
require 'rake'
$:.unshift(File.dirname(__FILE__) + '/lib')
require 'cucumber/formatter/ansicolor'
require 'cucumber/platform'

begin
  require 'jeweler'
  Jeweler::Tasks.new do |gem|
    gem.name = "cucumber"
    gem.summary = %Q{Behaviour Driven Development with elegance and joy}
    gem.description = %Q{A BDD tool written in Ruby}
    gem.email = "cukes@googlegroups.com"
    gem.homepage = "http://cukes.info"
    gem.authors = ["Aslak Hellesøy"]
    gem.rubyforge_project = "rspec"

    gem.add_dependency 'term-ansicolor', '>= 1.0.4'
    gem.add_dependency 'treetop', '>= 1.4.2'
    gem.add_dependency 'polyglot', '>= 0.2.9'
    gem.add_dependency 'builder', '>= 2.1.2'
    gem.add_dependency 'diff-lcs', '>= 1.1.2'
    gem.add_dependency 'json_pure', '>= 1.2.0'

    gem.add_development_dependency 'nokogiri', '>= 1.4.1'
    gem.add_development_dependency 'prawn', '= 0.6.3'
    gem.add_development_dependency 'prawn-format', '= 0.2.3'
    gem.add_development_dependency 'rspec', '>= 1.3.0'
    gem.add_development_dependency 'syntax', '>= 1.0.0'
    gem.add_development_dependency 'spork', '>= 0.7.5' unless Cucumber::JRUBY || Cucumber::WINDOWS
    gem.add_development_dependency 'sinatra', '>= 0.9.4'

    extend Cucumber::Formatter::ANSIColor
    gem.post_install_message = <<-POST_INSTALL_MESSAGE

#{cukes(15)}

#{cukes(1)} U P G R A D I N G #{cukes(1)}

Thank you for installing cucumber-#{Cucumber::VERSION}.
Please be sure to read http://wiki.github.com/aslakhellesoy/cucumber/upgrading
for important information about this release. Happy cuking!

#{cukes(15)}

POST_INSTALL_MESSAGE
  end

  Jeweler::GemcutterTasks.new
rescue LoadError
  puts "Jeweler (or a dependency) not available. Install it with: sudo gem install jeweler"
end

Dir['gem_tasks/**/*.rake'].each { |rake| load rake }

task :default => [:check_dependencies, :spec, :cucumber, :cucumber_wip]

require 'rake/clean'
CLEAN.include %w(**/*.{log,pyc})
Something went wrong with that request. Please try again.